package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFirePostFireMapper;
import com.ruoyi.project.patrol.fire.domain.TFirePostFire;
import com.ruoyi.project.patrol.fire.service.ITFirePostFireService;

/**
 * 消防水炮检查记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-30
 */
@Service
public class TFirePostFireServiceImpl implements ITFirePostFireService 
{
    @Autowired
    private TFirePostFireMapper tFirePostFireMapper;

    /**
     * 查询消防水炮检查记录
     * 
     * @param id 消防水炮检查记录主键
     * @return 消防水炮检查记录
     */
    @Override
    public TFirePostFire selectTFirePostFireById(Long id)
    {
        return tFirePostFireMapper.selectTFirePostFireById(id);
    }

    /**
     * 查询消防水炮检查记录列表
     * 
     * @param tFirePostFire 消防水炮检查记录
     * @return 消防水炮检查记录
     */
    @Override
    public List<TFirePostFire> selectTFirePostFireList(TFirePostFire tFirePostFire)
    {
        return tFirePostFireMapper.selectTFirePostFireList(tFirePostFire);
    }

    /**
     * 新增消防水炮检查记录
     * 
     * @param tFirePostFire 消防水炮检查记录
     * @return 结果
     */
    @Override
    public int insertTFirePostFire(TFirePostFire tFirePostFire)
    {
        return tFirePostFireMapper.insertTFirePostFire(tFirePostFire);
    }

    /**
     * 修改消防水炮检查记录
     * 
     * @param tFirePostFire 消防水炮检查记录
     * @return 结果
     */
    @Override
    public int updateTFirePostFire(TFirePostFire tFirePostFire)
    {
        return tFirePostFireMapper.updateTFirePostFire(tFirePostFire);
    }

    /**
     * 批量删除消防水炮检查记录
     * 
     * @param ids 需要删除的消防水炮检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFirePostFireByIds(Long[] ids)
    {
        return tFirePostFireMapper.deleteTFirePostFireByIds(ids);
    }

    /**
     * 删除消防水炮检查记录信息
     * 
     * @param id 消防水炮检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFirePostFireById(Long id)
    {
        return tFirePostFireMapper.deleteTFirePostFireById(id);
    }
}
